aboutsummaryrefslogtreecommitdiffstats
path: root/.gitlab-ci/build-vulkantools.sh
diff options
context:
space:
mode:
authorAndres Gomez <[email protected]>2020-02-20 17:09:03 +0200
committerAndres Gomez <[email protected]>2020-03-04 15:21:58 +0200
commitf1b7b8c0ee6b796c90dab54e713ed6d08ef98356 (patch)
tree9a4bc7f8e580957b8065351ac5f1a7dd1855c5f3 /.gitlab-ci/build-vulkantools.sh
parent028ab482bfbd9aa703c9d6fa658020951e071b67 (diff)
gitlab-ci: build VulkanTools into the Vulkan testing container
In preparation for having automated testing with Vulkan traces. Signed-off-by: Andres Gomez <[email protected]> Reviewed-by: Samuel Pitoiset <[email protected]> Reviewed-by: Alexandros Frantzis <[email protected]>
Diffstat (limited to '.gitlab-ci/build-vulkantools.sh')
-rw-r--r--.gitlab-ci/build-vulkantools.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/.gitlab-ci/build-vulkantools.sh b/.gitlab-ci/build-vulkantools.sh
new file mode 100644
index 00000000000..f1fc64aef4c
--- /dev/null
+++ b/.gitlab-ci/build-vulkantools.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -ex
+
+VULKANTOOLS_VERSION=1862c6a47b64cd09156205d7f7e6b3bfcea76390
+
+git clone https://github.com/LunarG/VulkanTools.git --single-branch --no-checkout /VulkanTools
+pushd /VulkanTools
+git checkout "$VULKANTOOLS_VERSION"
+./update_external_sources.sh
+mkdir _build
+./scripts/update_deps.py --dir=_build --config=release --generator=Ninja
+cmake -G Ninja -B_build -H. \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/VulkanTools/build \
+ -DBUILD_TESTS=OFF \
+ -DBUILD_VLF=OFF \
+ -DBUILD_VKTRACE=OFF \
+ -DBUILD_VIA=OFF \
+ -DBUILD_VKTRACE_REPLAY=OFF \
+ -C_build/helper.cmake
+ninja -C _build -j4 VkLayer_screenshot VkLayer_screenshot-staging-json
+mkdir -p build/etc/vulkan/explicit_layer.d
+mkdir build/lib
+install _build/layersvt/staging-json/VkLayer_screenshot.json build/etc/vulkan/explicit_layer.d
+install _build/layersvt/libVkLayer_screenshot.so build/lib
+strip build/lib/*
+find . -not -path './build' -not -path './build/*' -delete
+popd